#ifndef _LINUX_CONFIG_H
#define _LINUX_CONFIG_H

#include <linux/autoconf.h>

#ifdef CONFIG_TANGO2
// emhack: we are sure this file is included by ***everybody***
#include <asm/tango2/rmem86xxid.h>
#include <asm/tango2/emhwlib_registers_tango2.h>
#define EM86XX_MODE EM86XX_MODEID_STANDALONE
#include <asm/mipsregs.h>
#include <asm/addrspace.h>
#define emprintk(x...) 					\
do { 							\
/*	the_REAL_printk("[0x%x %s %s() %d] ",read_c0_count(),__FILE__,__FUNCTION__,__LINE__); */    \
	the_REAL_printk(x);					\
} while (0)

#define printk the_REAL_printk

#ifndef __ASSEMBLY__

#ifndef __RMBTYPES_H__
typedef unsigned long RMuint32;
typedef unsigned short RMuint16;
typedef unsigned char RMuint8;
typedef char RMascii;
typedef int RMstatus;
struct gbus;
#define pGBus ((struct gbus *)1)

RMuint32 gbus_read_uint32(struct gbus *pgbus, RMuint32 byte_address);
RMuint16 gbus_read_uint16(struct gbus *pgbus, RMuint32 byte_address);
RMuint8 gbus_read_uint8(struct gbus *pgbus, RMuint32 byte_address);
void gbus_write_uint32(struct gbus *pgbus, RMuint32 byte_address, RMuint32 data);
void gbus_write_uint16(struct gbus *pgbus, RMuint32 byte_address, RMuint16 data);
void gbus_write_uint8(struct gbus *pgbus, RMuint32 byte_address, RMuint8 data);

#endif /* !__RMBTYPES_H__ */

#endif /* !__ASSEMBLY__ */

#endif /* CONFIG_TANGO2 */

#endif
