/*****************************************
 Copyright  2001-2003  
 Sigma Designs, Inc. All Rights Reserved
 Proprietary and Confidential
 *****************************************/

/**
  @file   probe.h
  See licensing details in LICENSING file  

  long description

  @author Emmanuel Michon
  @date   2001-12-10
*/

#ifndef __PROBE_H__
#define __PROBE_H__

extern int number_of_probed_gnets;
extern int which;

#ifndef FM_GNET
#warning 8620 kernel patch dram map inaccurate --- hack: fixing
#define FM_GNET FM_DRM
#endif

#define TXC0 (MEM_BASE_dram_controller_0+FM_GNET)
#define TXC1 (TXC0+4)
#define RXC0 (TXC1+4)
#define RXC1 (RXC0+4)
#define F0   (RXC1+4)

#define F0DATA (F0+sizeof(struct gbus_fifo))
#define F1 (F0DATA+DATALEN)
#define F1DATA (F1+sizeof(struct gbus_fifo))

// keep data len multiple of 4 so that we can transfer with gbus_read/write_uint32
#if (EM86XX_CHIP>=EM86XX_CHIPID_TANGO2)
#define DATALEN 1900
RMleftMustBeSmaller(F1DATA+DATALEN,MEM_BASE_dram_controller_0+FM_SCRATCH,seed10);
#else
#define DATALEN (16*1022)
RMleftMustBeSmaller(F1DATA+DATALEN,MEM_BASE_dram_controller_0+FM_BOOTLOADER_CODE,seed10);
#endif

#endif // __PROBE_H__
